%define name 	dol
%define version 0.6.3
%define release 0
%define daswg   /opt/lscsoft
%define prefix  %{daswg}/dol

Name: 		%{name}
Summary: 	DMT offline
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		LSC Software/Data Analysis
Source: 	%{name}-%{version}-src.tar.gz
Packager: 	Junwei Cao (jcao@ligo.mit.edu)
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
URL: 		http://ligo.mit.edu/lsc-itr2003/dmt.html
BuildRequires: 	gcc, gcc-c++, glibc, automake, autoconf, libtool, m4, make, gzip, curl, zlib, bzip2
AutoReqProv: 	no
Summary: 	DMT offline
Provides: 	%name
Obsoletes:	%name < %version
Prefix:		%prefix

%description
The Data Monitoring Tool (DMT) software package is a multi-purpose environment developed originally for real-time, online diagnostics of detector performance and sensitivity. It is also used for carrying out offline analysis directly relevant to astrophysical searches for gravitational waves. It is best known for providing the real-time figures of merit projected on the control room walls during the science runs.

%prep
%setup -q

%build
PKG_CONFIG_PATH=%{daswg}/framecpp/%{_lib}/pkgconfig:%{daswg}/libmetaio/%{_lib}/pkgconfig:%{daswg}/lal/%{_lib}/pkgconfig:%{daswg}/libframe/%{_lib}/pkgconfig:/usr/%{_lib}/pkgconfig
export PKG_CONFIG_PATH
./configure  --prefix=%prefix --libdir=%{prefix}/%{_lib} --enable-offline
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%prefix/bin/*
%prefix/%{_lib}/*
%prefix/include/*
%prefix/etc/*
